Bug 1472214 (CVE-2017-11403) - CVE-2017-11403 GraphicsMagick: Use-after-free in CloseBlob
Summary: CVE-2017-11403 GraphicsMagick: Use-after-free in CloseBlob
Keywords:
Status: CLOSED UPSTREAM
Alias: CVE-2017-11403
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1472216 1472217
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-07-18 09:21 UTC by Adam Mariš
Modified: 2019-09-29 14:16 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 03:16:46 UTC


Attachments (Terms of Use)

Description Adam Mariš 2017-07-18 09:21:48 UTC
The ReadMNGImage function in coders/png.c in GraphicsMagick 1.3.26 has
an out-of-order CloseBlob call, resulting in a use-after-free via a
crafted file.

Upstream patch:

http://hg.code.sf.net/p/graphicsmagick/code/rev/d0a76868ca37

Reproducer:

https://github.com/asarubbo/poc/blob/master/00301-graphicsmagick-UAF-CloseBlob

Reference:

https://blogs.gentoo.org/ago/2017/07/12/graphicsmagick-use-after-free-in-closeblob-blob-c/

Comment 1 Adam Mariš 2017-07-18 09:23:16 UTC
Created GraphicsMagick tracking bugs for this issue:

Affects: epel-all [bug 1472217]
Affects: fedora-all [bug 1472216]

Comment 2 Product Security DevOps Team 2019-06-08 03:16:46 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.


Note You need to log in before you can comment on or make changes to this bug.